From: [email-masked] (Mi Mi)
Date: Sun, 26 Sep 93 12:19:40 CDT

I have no idea about which center accepts I-824. I have the same response
from Eastern center when I filed I-824 for my daughter, so I just gave up.
She can file for principal.

Do not worry about the time window. Your approval is prerequisite for any 
following to join visa application, etc., your lads in China. Only EB-3 
has time window, and FB-2 has not. Once you get your approval, go ahead
to file for your lads. Nothing can stop you. That is the law.

Good Luck!

Mi Mi

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
% Mr. Mi Mi, Member of Lads-Net Committee.                    %
% To sign on/off Lads-Net News, pleas send an email to        %
%    [email-masked], with mailbody as:               %
%    sub lads-l Firstname Lastname, or signoff lads-l         %
% To post, send your message to [email-masked]           %
% To retrieve past packages, anonymous ftp at spike.rice.edu  %
%    at file /lads/9308lads.log                               %
% To sign our petition letter, please send your signatures to %
%    [email-masked], the prefered form is:                %
% Mr/Ms/Miss.Name,Number and Street,City,State,ZipCode,phone# %
%    Co-signed Spouse, Mr/Ms/Miss.Name,                       %
%    Co-signed Child,  Mr/Ms/Miss.Name                        %
% You are encouraged to send your own copies of the petition  %
%    letter to the U.S. officials. When you do, please drop   %
%    a line to [email-masked]                        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%